# Enum Class RANSParams.ORDER

java.lang.Object
java.lang.Enum<RANSParams.ORDER>
htsjdk.samtools.cram.compression.rans.RANSParams.ORDER

All Implemented Interfaces:
  `Serializable, Comparable<RANSParams.ORDER>, Constable`

Enclosing interface:
  `RANSParams`

public static enum RANSParams.ORDER extends Enum<RANSParams.ORDER>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ONE`
`ZERO`

## Method Summary

Modifier and Type
Method
Description
`static RANSParams.ORDER`
`fromInt(int orderValue)`
`static RANSParams.ORDER`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RANSParams.ORDER[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ZERO

public static final RANSParams.ORDER ZERO

### ONE

public static final RANSParams.ORDER ONE

## Method Details

### values

public static RANSParams.ORDER[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RANSParams.ORDER valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static RANSParams.ORDER fromInt(int orderValue)